## emir 0.1.0

=== debian/changelog ===
emir (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 24 Feb 2004 16:05:42 +0100

=== {arch}/++pristine-trees/unlocked/emir/emir--beta/emir--beta--0.1/duck@duckcorp.org--duckcorp-projects/emir--beta--0.1--base-0/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	xsltproc -nonet -o emir.8 /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl debian/emir.xml

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm emir.8

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## emir 0.3.1

=== doc/Makefile ===

all: html pdf ps txt

clean:
	rm -f *.html *.aux *.dvi *.out *.log *.fo *.pdf *.ps *.txt *.tmp

check: check.tmp
check.tmp: emirdoc.xml
	(xmllint --xinclude --postvalid --noblanks --noout emirdoc.xml 2>&1) >emirdoc_error.log
	touch check.tmp

#emirdoc.html: emirdoc.xml
#	bash -c "time openjade -t xml -d /usr/share/sgml/docbook/stylesheet/dsssl/modular/html/docbook.dsl \
#	 -i html -vge -f emirdoc_error.log \
#	 emirdoc.xml"

html: emirdoc.html
emirdoc.html: check
	xsltproc --xinclude --param use.extensions '1' --param passivetex.extensions '1' -o emirdoc.html emirdoc-xhtml.xml

fo: emirdoc.fo
emirdoc.fo: check.tmp
	xsltproc --xinclude --param use.extensions '1' --param passivetex.extensions '1' -o emirdoc.fo /usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl emirdoc.xml
	# correct sizing bug
	sed -i 's/ - -4pc//g' emirdoc.fo
	# correct long line bug
	sed -e "s,/>,\n/>,g" -i emirdoc.fo

dvi: emirdoc.dvi
emirdoc.dvi: emirdoc.fo
	# 3 passes to avoid undefined references
	-xmltex emirdoc.fo </dev/null
	-xmltex emirdoc.fo </dev/null
	-xmltex emirdoc.fo </dev/null

#emirdoc.pdf: check.tmp
#	bash -c "time docbook2pdf emirdoc.xml"

#emirdoc.pdf: emirdoc.fo
#	pdfxmltex emirdoc.fo

pdf: emirdoc.pdf
emirdoc.pdf: emirdoc.dvi
	dvipdf emirdoc.dvi

ps: emirdoc.ps
emirdoc.ps: emirdoc.dvi
	dvips emirdoc.dvi

txt: emirdoc.txt
emirdoc.txt: emirdoc.ps
	pstotext -output emirdoc.txt -cork emirdoc.ps

## emir 0.2.0

=== debian/changelog ===
emir (0.2.0) unstable; urgency=low

  * Added services access filtering.
  * Added clients filtering.
  * Added custom forward filtering.
  * Added basic IPv6 support (host & user members).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 24 Mar 2004 23:40:18 +0100

=== debian/control ===
Source: emir
Section: admin
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends-Indep: debhelper (>= 4.0.0), xsltproc, docbook-xsl
Standards-Version: 3.6.1.0

Package: emir
Architecture: all
Depends: php4-cgi (>= 4.1.2), iptables, libxml2-utils
Description: Easy Management for Internet Routers
 EMIR is designed to configure your internet connection,
 including NAT, acces control, services and security.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	xsltproc -nonet -o emir-ctrl.8 /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl debian/emir-ctrl.xml

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -f emir-ctrl.8

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cp emir_example.conf debian/emir/etc/emir.conf
	find debian/emir -type d -name ".arch-ids" -depth -exec rm -rf {} \;


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installinit --no-restart-on-upgrade
#	dh_installcron
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
